Reverses the sequence in-place

- « Ds\Sequence::remove

- Ds\Sequence::reversed »

- PHP Manual
- Ds\Sequence
- Reverses the sequence in-place

# Ds\Sequence::reverse

(PECL ds >= 1.0.0)

Ds\Sequence::reverse — Reverses the sequence in-place

### Description

abstract public Ds\Sequence::reverse(): void

Reverses the sequence in-place.

### Parameters

This function has no parameters.

### Return Values

No value is returned.

### Examples

Example #1 Ds\Sequence::reverse() example

    <?php
    $sequence = new \Ds\Vector(["a", "b", "c"]);
    $sequence->reverse();

    print_r($sequence);
    ?>

The above example will output something similar to:

    Ds\Vector Object
    (
        [0] => c
        [1] => b
        [2] => a
    )